Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

10.5: Print to any PCL printer in 10.5 Printers
This is an update to my previous hint regarding printing to PCL printers that don't support PostScript (such as the Ricoh Aficio 2035e).

The good news is that 10.5 has essentially made the previous hint irrelevant. There is no need to install 'hpijs' or any other printer drivers. 10.5 comes with Generic PCL drivers built-in. Simply locate your printer after clicking '+' in the System Preferences Print & Fax pane. From the pop-up menu next to Print Using, choose 'Select a driver to use...' and type in PCL. You'll see a list of generic PCL drivers -- just choose the one appropriate for your printer (PCL 6 works with the Aficio 2035e). That's it; you're printer should now work in 10.5.
    •    
  • Currently 2.33 / 5
  You rated: 5 / 5 (9 votes cast)
 
[28,460 views]  

10.5: Print to any PCL printer in 10.5 | 2 comments | Create New Account
Click here to return to the '10.5: Print to any PCL printer in 10.5' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.5: Print to any PCL printer in 10.5
Authored by: Wodgy on Mar 03, '08 10:07:06AM

Just one comment: the PCL 6 driver still doesn't support 1200dpi printing on capable printers. This probably only affects a minority of people, but if you have a 1200dpi printer that's upgradeable to PostScript (like the HP LaserJet 2100), it's worth doing the upgrade to get access to the higher resolution. PostScript cartridges/ROMs for old printers are extraordinarily cheap on eBay.



[ Reply to This | # ]
10.5: Print to any PCL printer in 10.5
Authored by: MacHound on Mar 24, '10 04:31:33PM

Also check out the PCL drivers in GutenPrint: http://gimp-print.sourceforge.net/MacOSX.php

GutenPrint 5.2.5 Generic PCL 6/PCL XL CUPS driver work well from my PowerBook G4 with OS 10.5.8 to my employer's Lanier LD255 printer.



[ Reply to This | # ]